import type DatabaseV1 from "../../../metabase-lib/v1/metadata/Database";
import type Table from "../../../metabase-lib/v1/metadata/Table";
import type { Database } from "../../../metabase-types/api";
export declare function browseDatabase(database: Pick<DatabaseV1 | Database, "id"> & Partial<Pick<DatabaseV1 | Database, "name">>): string;
export declare function browseSchema(table: {
    db_id?: Table["db_id"];
    schema_name?: Table["schema_name"] | null;
    db?: Pick<DatabaseV1, "id">;
}): string;
export declare function browseTable(table: Table): string;
